Subject: Re: mac test failure -- test 3301

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Nov 2014 07:58:51 -0800

Johan Herland <[email-masked]> writes:

> Ah, thanks!
>
> I thought that quoting command output was a good idea in general. Am I
> wrong, or is this just one exception to an otherwise good guideline?

It is not a good practice to blindly follow any guideline ;-).

When you anticipate that different platforms throw you unnecessary
spaces around a single token you expect to see, not quoting is
obviously the right thing.  If you are unsure if the comamand gives
you one or multiple tokens, you obviously risk the output getting
split by not quoting.